Subject: bug#8869: Unjustified selection time-out

From: Chong Yidong <[email-masked]>
Date: Sun, 19 Jun 2011 17:13:12 -0400

Jan Djärv <[email-masked]> writes:

> Maybe it will, but it is a bad solution (busy wait).  It also does not
> solve the error in process.c.  That error may very well be responsible
> for the hang Emacs sometimes does when it should be saving the session
> and exit.

Hmm, I'm not sure I understand what you're saying.  My impression is
that Emacs is getting stuck on wait_reading_process_output's select()
call, which doesn't exit to do the necessary X event processing until
some user input is available.  If that's the case, then the problem is
calling select() with a long timeout.